<?php
/**
 *  @package Invoicing
 *  @copyright Copyright (c)203 Juloa.com
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

include_once(JPATH_ROOT.'/administrator/components/com_invoicing/helpers/mail.php');
include_once(JPATH_ROOT.'/administrator/components/com_invoicing/controllers/default.php');

class InvoicingControllerInvoices extends InvoicingControllerDefault
{
	public function mail()
	{
		// Load the model
		$model = $this->getThisModel();
		if(!$model->getId()) $model->setIDsFromRequest();

		$item = $model->getItem();

		$email = InvoicingHelperMail::sendMailByStatus($item);

		$app = JFactory::getApplication();
		$url = 'index.php?option=com_invoicing&view=invoices';

		if(is_bool($email))
			$msg = JText::_('INVOICING_COMMON_EMAIL_SENT');

		$app->redirect($url, $msg, 'message');
	}
}
