<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

include_once(JPATH_ROOT.'/administrator/components/com_invoicing/views/default/view.html.php');

class InvoicingDispatcher extends FOFDispatcher
{	
	public function onBeforeDispatch() {
		if ($result = parent::onBeforeDispatch()) {
			/*Jquery non conflict mode*/
			$document = JFactory::getDocument();
            
            JuloaLib::loadCSS('bootstrap2');
            JuloaLib::loadJquery();
            JuloaLib::loadJqueryUI();
			FOFTemplateUtils::addCSS('media://com_invoicing/css/frontend.css');
			FOFTemplateUtils::addCSS('media://com_invoicing/css/backend.css');
		}
		return $result;
	}
}