<?php
/**
 *  @package Invoicing
 *  @copyright Copyright (c)2012 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();
	
class InvoicingHelperLog {
	
	/**
	 * Log
	 * @param string $data string or array of strings
	 */
	public static final function log($data)
	{
		$config = JFactory::getConfig();
		if(version_compare(JVERSION, '3.0', 'ge')) {
			$logpath = $config->get('log_path');
		} else {
			$logpath = $config->getValue('log_path');
		}
	
		$logFilenameBase = $logpath.'/invoicepayment';
	
		$logFile = $logFilenameBase.'.php';
		jimport('joomla.filesystem.file');
		if(!JFile::exists($logFile)) {
			$dummy = "<?php die(); ?>\n";
			JFile::write($logFile, $dummy);
		} else {
			if(@filesize($logFile) > 1048756) {
				$altLog = $logFilenameBase.'-1.php';
				if(JFile::exists($altLog)) {
					JFile::delete($altLog);
				}
				JFile::copy($logFile, $altLog);
				JFile::delete($logFile);
				$dummy = "<?php die(); ?>\n";
				JFile::write($logFile, $dummy);
			}
		}
		$logData = JFile::read($logFile);
		if($logData === false) 
			$logData = '';
		
		if (is_array($data)) {
			$logData .= "\n";
			foreach($data as $d) {
				$logData = gmdate('Y-m-d H:i:s')." GMT: $d";
				$logData .= "\n";
			}
		} else {
			$logData .= gmdate('Y-m-d H:i:s')." GMT: $data";
			$logData .= "\n";
		}
		JFile::write($logFile, $logData);
	}
}