<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

include_once(JPATH_ROOT.'/administrator/components/com_invoicing/assets/view.pdf.php');
/**
 * @package		Joomla
 * @subpackage	Contacts
 */
class InvoicingViewQuote extends TViewPdf
{
	public function onRead($tpl = NULL) {
		parent::onRead($tpl);	
		
		$invoice  = $this->getModel()->getItem();
		$this->loadHelper('format');
		$content = InvoicingHelperFormat::formatQuotePDF($invoice);
		
		$this->assign('content',$content);

		$filename = sprintf(JText::_('INVOICING_INVOICE_FILENAME'),InvoicingHelperFormat::formatInvoiceNumber($invoice));
		$filename = str_replace(array("/","."," "),"_",$filename);
		$this->setName($filename);
	}	
	
}