<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}
JHtml::_('behavior.modal');

FOFTemplateUtils::addJS('media://com_invoicing/js/jquery.validate.js');

$this->loadHelper('cparams');
$this->loadHelper('select');
$this->loadHelper('params');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm form formValidation">
<input type="hidden" name="option" value="com_invoicing" />
<input type="hidden" name="view" value="tax" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="invoicing_tax_id" value="<?php echo $this->item->invoicing_tax_id ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<table cellspacing="0" cellpadding="0" width="100%">
	<tr valign="top"><td width="60%">	
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
				<td><?php echo JText::_('INVOICING_TAX_TAXRATE'); ?></td>
				<td><input  class="required" type="text" size="50" maxsize="255" name="taxrate" value="<?php echo $this->escape($this->item->taxrate); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('JENABLED'); ?></td>
				<td><?php echo JHTML::_('select.booleanlist', 'enabled', null, $this->item->enabled); ?></td>
				<td>&nbsp;</td>
			</tr>
		</table>
	</td></tr>
	</table>
</form>
	
<script type="text/javascript">
function jSelectUser_userid(id, username)
{
	document.getElementById('userid').value = id;
	document.getElementById('userid_visible').value = username;
	try {
		document.getElementById('sbox-window').close();	
	} catch(err) {
		SqueezeBox.close();
	}
}
window.addEvent("domready", function() {
	$$("button.modal").each(function(el) {
		el.addEvent("click", function(e) {
			try {
				new Event(e).stop();
			} catch(anotherMTUpgradeIssue) {
				try {
					e.stop();
				} catch(WhateverIsWrongWithYouIDontCare) {
					try {
						DOMEvent(e).stop();
					} catch(NoBleepinWay) {
						alert('If you see this message, your copy of Joomla! is FUBAR');
					}
				}
			}
			SqueezeBox.fromElement($('userselect'), {
				parse: 'rel'
			});
		});
	});
});
<?php if(version_compare(JVERSION,'1.6.0','>=')){ ?>
Joomla.submitbutton = function(pressbutton) {
<?php } else { ?>
function submitbutton(pressbutton) {
<?php } ?>
	if (pressbutton == 'cancel') {
		   submitform(pressbutton);	
		   return;
	}
    if(jQ("#adminForm").valid()){
    	submitform(pressbutton);	
    }else{
        return false;
    }
}

jQ().ready(function() { 
    // validate signup form on keyup and submit 
     var validator =jQ("#adminForm").validate({ 
         rules: { 
        	 taxrate: { 
				   required : true,
				   number : true,
                   min: 0,
				   max :100
               }
         }, 
         messages: { 
        	 taxrate: { 
			     required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>", 
				 number: "<?php echo JText::_('INVOICING_VALIDATION_PERCENT_REQUIRED');?>", 
        	     min: "<?php echo JText::_('INVOICING_VALIDATION_PERCENT_REQUIRED');?>", 
                 min: "<?php echo JText::_('INVOICING_VALIDATION_PERCENT_REQUIRED');?>"
             }
         }         
     });
});
</script>