<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

include_once(JPATH_ROOT.'/administrator/components/com_invoicing/controllers/default.php');

class InvoicingControllerMessages extends InvoicingControllerDefault
{
	private static $loggedinUser = false;

	public function __construct($config = array()) {
		parent::__construct($config);
	}

	public function execute($task) {
		parent::execute('read');
	}

	public function read()
	{
		// Load the model
		$model = $this->getThisModel();

		// Set the layout to item, if it's not set in the URL
		if(is_null($this->layout)) $this->layout = 'item';

		// Display
		$this->display(in_array('read', $this->cacheableTasks));
	}
}
