<?php
/**
 *  @package Bruce
 *  @copyright Copyright (c)203 Juloa.com
 *  @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

class InvoicingControllerDefault extends FOFController
{
	/**
         * Redirects the browser or returns false if no redirect is set.
         *
         * @return  boolean  False if no redirect exists.
         */
        public function redirect()
        {
                if ($this->redirect)
                {
                        $app = JFactory::getApplication();
                        $app->enqueueMessage($this->message, $this->messageType);
                        FOFPlatform::getInstance()->setHeader('Status', '303 see other', true);
                        $app->redirect($this->redirect);

                        return true;
                }

                return false;
        }
}
