<?php
/**
 *  @package Invoicing
 *  @copyright Copyright (c)203 Juloa.com
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

include_once(JPATH_ROOT.'/administrator/components/com_invoicing/controllers/default.php');

class InvoicingControllerQuotes extends InvoicingControllerDefault
{
	public function toInvoice()
	{
        $app = JFactory::getApplication();

        if(JRequest::getInt('boxchecked', 0) < 1)
            $app->redirect( JRoute::_('index.php?option=com_invoicing&view=quotes&status=error'), JText::_('COM_INVOICING_SELECTION_NEEDED'),"message" );
        elseif(JRequest::getInt('boxchecked', 0) > 1)
            $app->redirect( JRoute::_('index.php?option=com_invoicing&view=quotes&status=error'), JText::_('COM_INVOICING_MULTI_SELECT_FORBIDDEN'),"message" );

        $quoteId = JRequest::getVar('cid', 0);
        $quoteId = $quoteId[0];

		$url = 'index.php?option=com_invoicing&view=invoice&quote='.  intval($quoteId);

		$app->redirect($url);
	}

    public function mail()
	{
		// Load the model
		$model = $this->getThisModel();
		if(!$model->getId()) $model->setIDsFromRequest();

		$item = $model->getItem();

		$email = InvoicingHelperMail::sendQuoteMail($item);

		$app = JFactory::getApplication();
		$url = 'index.php?option=com_invoicing&view=quotes';

		if(is_bool($email))
			$msg = JText::_('INVOICING_COMMON_EMAIL_SENT');

		$app->redirect($url, $msg, 'message');
	}
}
