<?php
/**
 *  @package invoicing
 *  @copyright Copyright (c)203 Juloa.com
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}
JHtml::_('behavior.modal');
 
FOFTemplateUtils::addJS('media://com_invoicing/js/jquery.validate.js');
$this->loadHelper('cparams');
$this->loadHelper('select');
$this->loadHelper('params');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm form formValidation">
<input type="hidden" name="option" value="com_invoicing" />
<input type="hidden" name="view" value="currency" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="invoicing_currency_id" value="<?php echo $this->item->invoicing_currency_id ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<table cellspacing="0" cellpadding="0" width="100%">
	<tr valign="top"><td width="60%">	
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
				<td><?php echo JText::_('INVOICING_CURRENCY_SYMBOL'); ?></td>
				<td><input  class="required" type="text" size="20" maxsize="255" name="symbol" value="<?php echo $this->escape($this->item->symbol); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_CURRENCY_CODE'); ?></td>
				<td><input  class="required" type="text" size="10" maxsize="255" name="code" value="<?php echo $this->escape($this->item->code); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_CURRENCY_SYMBOL_POSITION'); ?></td>
				<td><?php echo InvoicingHelperSelect::symbolposition($this->escape($this->item->symbol_position))?></td>
				<td>&nbsp;</td>
			</tr>
            <tr>
				<td><?php echo JText::_('INVOICING_CURRENCY_NUMBER_DECIMALS'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="number_decimals" value="<?php echo $this->escape($this->item->number_decimals); ?>" /></td>
				<td>&nbsp;</td>
			</tr>	
			<tr>
				<td><?php echo JText::_('INVOICING_CURRENCY_DECIMAL_SEPARATOR'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="decimal_separator" value="<?php echo $this->escape($this->item->decimal_separator); ?>" /></td>
				<td>&nbsp;</td>
			</tr>	
			<tr>
				<td><?php echo JText::_('INVOICING_CURRENCY_THOUSAND_SEPARATOR'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="thousand_separator" value="<?php echo $this->escape($this->item->thousand_separator); ?>" /></td>
				<td>&nbsp;</td>
			</tr>	
			<tr>
				<td><?php echo JText::_('JENABLED'); ?></td>
				<td><?php echo JHTML::_('select.booleanlist', 'enabled', null, $this->item->enabled); ?></td>
				<td>&nbsp;</td>
			</tr>		
		</table>
	</td></tr>
	</table>	
</form>
	
<script type="text/javascript">
function jSelectUser_userid(id, username)
{
	document.getElementById('userid').value = id;
	document.getElementById('userid_visible').value = username;
	try {
		document.getElementById('sbox-window').close();	
	} catch(err) {
		SqueezeBox.close();
	}
}
window.addEvent("domready", function() {
	$$("button.modal").each(function(el) {
		el.addEvent("click", function(e) {
			try {
				new Event(e).stop();
			} catch(anotherMTUpgradeIssue) {
				try {
					e.stop();
				} catch(WhateverIsWrongWithYouIDontCare) {
					try {
						DOMEvent(e).stop();
					} catch(NoBleepinWay) {
						alert('If you see this message, your copy of Joomla! is FUBAR');
					}
				}
			}
			SqueezeBox.fromElement($('userselect'), {
				parse: 'rel'
			});
		});
	});
});
<?php if(version_compare(JVERSION,'1.6.0','>=')){ ?>
Joomla.submitbutton = function(pressbutton) {
<?php } else { ?>
function submitbutton(pressbutton) {
<?php } ?>
	if (pressbutton == 'cancel') {
		   submitform(pressbutton);	
		   return;
	}
    if(jQ("#adminForm").valid()){
    	submitform(pressbutton);	
    }else{
        return false;
    }
}

jQ().ready(function() { 
    // validate signup form on keyup and submit 
     var validator =jQ("#adminForm").validate({ 
         rules: { 
        	 symbol: { 
                 required: true
               },
			   
			 code: { 
        	     required: true
			   },
			},
         messages: { 
			 symbol: { 
                 required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>"
               },
			   
			 code: { 
        	     required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>"
			   }
         }         
     });
});
</script>