<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

class InvoicingViewUser extends FOFViewHtml
{
	protected function onAdd($tpl = null)
	{
		$user = JFactory::getUser();
		
		$itemid = JRequest::getInt('Itemid','');
		$defaulturl = base64_encode(JRoute::_('index.php?option=com_invoicing&Itemid='.$itemid));
		$return_url = JRequest::getVar('return',$defaulturl);
		$this->assignRef('return_url', $return_url);
		$this->assignRef('itemid',$itemid);
		
		$app = JFactory::getApplication();
		
		if ($user->id == 0) {
			$data = (array) $app->getUserState('com_users.registration.data', array());
			$this->assignRef('data',$data);
		
			$this->setLayout("register");
		} else {
			$model = FOFModel::getTmpInstance('Users','InvoicingModel');
			$data = (array) $model->getItem($model->getInvoicingUser($user->id))->getData();
			$this->assignRef('data',$data);
			
			$this->setLayout("form");
		}
	}
}
